#library("ggplot2")
#library("RColorBrewer")
#library("scales")
#library(dplyr)
#library(tidyr)
#library(readr)

options(tibble.print_min = 30)

source('rserve-init.R')

start_p <- "2019-07-03"
end_p <- "2019-09-30"
n_p <- c(1, 10, 100)
p_p <- c(1, 10, 100)
country_p <- "de"
flag_p <- c("Exit", "Running")
server_p <- "public"
filesize_p <- "50kb"

stats_dir <- "/Users/karsten/src/metrics-web/shared/stats/"

rdata_dir <- "/Users/karsten/src/metrics-web/shared/RData/"

test <- function(FUN, path_p, ...) {
  plot_FUN = match.fun(paste("plot_", FUN, sep = ""))
  plot_FUN(..., path_p = paste(path_p, ".png", sep = ""))
  prepare_FUN = match.fun(paste("prepare_", FUN, sep = ""))
  write_data(FUN = prepare_FUN, ..., path_p = paste(path_p, ".csv", sep = ""))
#  write_data(FUN = prepare_FUN, path_p = paste(path_p, "-full.csv", sep = ""))
}

#test(FUN = "networksize", path_p = "networksize", start_p, end_p)
#test(FUN = "versions", path_p = "versions", start_p, end_p)
#test(FUN = "platforms", path_p = "platforms", start_p, end_p)
#test(FUN = "dirbytes", path_p = "dirbytes", start_p, end_p)
#test(FUN = "relayflags", path_p = "relayflags", start_p, end_p, flag_p)
#test(FUN = "torperf", path_p = "torperf", start_p, end_p, server_p, filesize_p)
#test(FUN = "torperf_failures", path_p = "torperf-failures", start_p, end_p, server_p, filesize_p)
#test(FUN = "onionperf_buildtimes", path_p = "onionperf-buildtimes", start_p, end_p)
#test(FUN = "onionperf_latencies", path_p = "onionperf-latencies", start_p = "2019-02-24", end_p = "2019-05-25", server_p)
#test(FUN = "onionperf_bandwidths", path_p = "onionperf-bandwidths-public", start_p = "2018-11-01", end_p = "2019-01-31", server_p = "public")
#test(FUN = "onionperf_bandwidths", path_p = "onionperf-bandwidths-onion", start_p = "2018-11-01", end_p = "2019-01-31", server_p = "onion")
#test(FUN = "onionperf_errorcodes", path_p = "onionperf-errorcodes-public", start_p = "2018-01-01", end_p = "2019-05-31", server_p = "public")
#test(FUN = "onionperf_errorcodes", path_p = "onionperf-errorcodes-onion", start_p = "2018-01-01", end_p = "2019-05-31", server_p = "onion")
#test(FUN = "connbidirect", path_p = "connbidirect", start_p, end_p)
#test(FUN = "bandwidth_flags", path_p = "bandwidth-flags", start_p, end_p)
#test(FUN = "userstats_relay_country", path_p = "userstats-relay-country-all", start_p, end_p, country_p = "all", events_p = "on")
#test(FUN = "userstats_relay_country", path_p = "userstats-relay-country-de", start_p, end_p, country_p = "de", events_p = "on")
#test(FUN = "userstats_bridge_country", path_p = "userstats-bridge-country-all", start_p = "2018-07-05", end_p = "2018-07-22", country_p = "all")
#test(FUN = "userstats_bridge_country", path_p = "userstats-bridge-country-de", start_p = "2018-07-05", end_p = "2018-07-22", country_p = "de")
#test(FUN = "userstats_bridge_transport", path_p = "userstats-bridge-transport", start_p = "2018-07-05", end_p = "2018-07-22", transport_p = c("obfs3", "obfs4"))
#test(FUN = "userstats_bridge_transport", path_p = "userstats-bridge-transport-obfs3", start_p = "2018-07-05", end_p = "2018-07-22", transport_p = c("obfs3"))
#test(FUN = "userstats_bridge_version", path_p = "userstats-bridge-version", start_p = "2018-07-05", end_p = "2018-07-22", version_p = "v4")
#test(FUN = "userstats_bridge_combined", path_p = "userstats-bridge-combined", start_p = "2018-07-05", end_p = "2018-07-22", country_p)
#test(FUN = "advbwdist_perc", path_p = "advbwdist-perc", start_p, end_p, p_p)
#test(FUN = "advbwdist_relay", path_p = "advbwdist-relay", start_p, end_p, n_p)
#test(FUN = "hidserv_dir_onions_seen", path_p = "hidserv-dir-onions-seen", start_p, end_p)
#test(FUN = "hidserv_rend_relayed_cells", path_p = "hidserv-rend-relayed-cells", start_p, end_p)
#test(FUN = "webstats_tb", path_p = "webstats-tb", start_p, end_p)
#test(FUN = "webstats_tb_platform", path_p = "webstats-tb-platform", start_p, end_p)
#test(FUN = "webstats_tb_locale", path_p = "webstats-tb-locale", start_p, end_p)
test(FUN = "webstats_tb_channel", path_p = "webstats-tb-channel", start_p, end_p)
#test(FUN = "webstats_tm", path_p = "webstats-tm", start_p, end_p)
#test(FUN = "relays_ipv6", path_p = "relays-ipv6", start_p, end_p)
#test(FUN = "bridges_ipv6", path_p = "bridges-ipv6", start_p, end_p)
#test(FUN = "advbw_ipv6", path_p = "advbw-ipv6", start_p, end_p)
#test(FUN = "totalcw", path_p = "totalcw", start_p, end_p)

